Bug 435220 - Review Request: linpsk - Psk31 and RTTY program for Linux
Review Request: linpsk - Psk31 and RTTY program for Linux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 21:14 EST by Robert 'Bob' Jensen
Modified: 2008-03-01 04:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 23:34:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-02-27 21:14:05 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/linpsk.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/linpsk-0.9-3.fc8.src.rpm
Description: LinPsk is a program for operating on digital modes running on Linux.
LinPsk supports BPSK, QPSK and RTTY at the moment.

This srpm mock builds on Fedora 7, Fedora 8 and devel on i386 and x86_64. All resulting rpms are rpmlint clean.
Comment 1 Jeroen van Meeuwen 2008-02-28 18:23:44 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK (GPLv2 or later)
Actual License: OK (GPLv2 in COPYING, GPLv2+ in source)
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK
Compile and Build:
 - F-7: OK
 - F-8: OK
 - rawhide: OK
 - EL-5: OK

Applicable Package Guidelines:
 - -debuginfo package: OK (~2.5M)

Locales: N/A
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

A small suggestion for the %files section; you might want to use more wildcards
(*) instead of %{name}, but it's really up to you as a maintainer.

Otherwise, once more, your packages are a breeze to review.

APPROVED
Comment 2 Robert 'Bob' Jensen 2008-02-28 20:29:06 EST
New Package CVS Request
=======================
Package Name: linpsk
Short Description: Psk31 and RTTY program for Linux
Owners: bjensen,sconklin
Branches: F-7 F-8
InitialCC: sindrepb
Cvsextras Commits: Yes
Comment 3 Kevin Fenzi 2008-02-28 22:17:33 EST
cvs done. 
Comment 4 Fedora Update System 2008-02-28 23:30:56 EST
linpsk-0.9-3.fc8 has been submitted as an update for Fedora 8
Comment 5 Robert 'Bob' Jensen 2008-02-28 23:34:52 EST
Thank you kanarip for yet another review.
Thank you nirik for cvs.
Comment 6 Fedora Update System 2008-02-28 23:41:16 EST
linpsk-0.9-3.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-03-01 04:25:38 EST
linpsk-0.9-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-03-01 04:27:15 EST
linpsk-0.9-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.